Skip to main content
DELETE
/
conversations
/
{conversation_id}
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
client.conversations.delete(
    "conversation_id",
)
import Datagrid from 'datagrid-ai';

const client = new Datagrid({
apiKey: process.env['DATAGRID_API_KEY'], // This is the default and can be omitted
});

await client.conversations.delete('conversation_id');
curl --request DELETE \
--url https://api.datagrid.com/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'
{
  "status_code": 123,
  "error": "rate_limit_exceeded",
  "message": "<string>",
  "retryable": true,
  "statusCode": 123,
  "mitigation": "<string>",
  "details": {
    "reason": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string
required

The id of the conversation to delete.

Response

Successfully deleted conversation